Subject: Re: [PATCH net-next 18/29] can: pch_can: do not report txerr and rxerr during bus-off

From: Jakub Kicinski <[email-masked]>
Date: Thu, 21 Jul 2022 09:51:34 -0700

On Thu, 21 Jul 2022 09:20:23 -0700 Nathan Chancellor wrote:
> > That said, I have one complaint: this type of warning is reported at
> > W=2 *but* W=2 output is heavily polluted, mostly due to a false
> > positive on linux/bits.h's GENMASK_INPUT_CHECK(). Under the current
> > situation, the relevant warings become invisible with all the
> > flooding.
> > I tried to send a patch to silence a huge chunk of the W=2 spam in [1]
> > but it got rejected. I am sorry but even with the best intent, I might
> > repeat a similar mistake in the future. The W=2 is just not usable.
> > 
> > [1] https://lore.kernel.org/all/[email-masked]/  
> 
> Yes, having -Wmaybe-uninitialized in W=2 is unfortunate because these
> types of mistakes will continue to happen. I have been fighting this for
> a while and so has Dan Carpenter, who started a thread about it a couple
> of months ago but it doesn't seem like it really went anywhere:
> 
> https://lore.kernel.org/20220506091338.GE4031@kadam/

FWIW it's reported by clang and was in fact reported in the netdev
patchwork:
https://patchwork.kernel.org/project/netdevbpf/patch/[email-masked]/
DaveM must have not looked before pulling :S